org.jclouds.vcloud.director.v1_5.features
Interface VAppTemplateApi


public interface VAppTemplateApi

Provides synchronous access to VAppTemplate objects.

Author:
Adam Lowe
See Also:
VAppTemplateAsyncApi

Method Summary
 Task consolidateVm(URI templateUri)
          Consolidates a VM
 Task deleteVappTemplate(URI templateUri)
          Deletes a vApp template.
 void disableDownload(URI templateUri)
          Disables the download link to the ovf of a vApp template.
 Task enableDownload(URI templateUri)
          Enables downloading of the ovf of a vApp template.
 CustomizationSection getCustomizationSection(URI templateUri)
          Retrieves the customization section of a vApp template.
 GuestCustomizationSection getGuestCustomizationSection(URI templateUri)
          Retrieves the Guest Customization Section of a VM
 LeaseSettingsSection getLeaseSettingsSection(URI templateUri)
          Retrieves the lease settings section of a vApp or vApp template
 MetadataApi.Writeable getMetadataApi()
           
 NetworkConfigSection getNetworkConfigSection(URI templateUri)
          Retrieves the network config section of a vApp or vApp template.
 NetworkConnectionSection getNetworkConnectionSection(URI templateUri)
          Retrieves the network connection section of a VM
 NetworkSection getNetworkSection(URI templateUri)
          Retrieves the network section of a vApp or vApp template.
 Envelope getOvf(URI templateUri)
          Retrieves an OVF descriptor of a vApp template.
 Owner getOwner(URI templateUri)
          Retrieves vApp template owner.
 ProductSectionList getProductSections(URI templateUri)
          Retrieves VAppTemplate/VM product sections
 References getShadowVms(URI templateUri)
           GET /vAppTemplate/{id}/shadowVms
 VAppTemplate getVAppTemplate(URI templateUri)
          Retrieves a vApp template (can be used also to retrieve a VM from a vApp Template).
 Task modifyCustomizationSection(URI templateUri, CustomizationSection section)
          Modifies the vApp template customization information.
 Task modifyGuestCustomizationSection(URI templateUri, GuestCustomizationSection section)
          Modifies the guest customization options of a VM.
 Task modifyLeaseSettingsSection(URI templateUri, LeaseSettingsSection section)
          Modifies the lease settings section of a vApp or vApp template.
 Task modifyNetworkConfigSection(URI templateUri, NetworkConfigSection section)
          Modifies the network config section of a vApp.
 Task modifyNetworkConnectionSection(URI templateUri, NetworkConnectionSection section)
          Modifies the network connection section of a VM.
 Task modifyProductSections(URI templateUri, ProductSectionList sections)
          Modifies the product sections of a vApp or vApp template.
 Task modifyVAppTemplate(URI templateUri, VAppTemplate template)
          Modifies only the name/description of a vApp template.
 Task relocateVm(URI templateUri, RelocateParams params)
          Relocates a virtual machine in a vApp template to a different datastore.
 

Method Detail

getVAppTemplate

VAppTemplate getVAppTemplate(URI templateUri)
Retrieves a vApp template (can be used also to retrieve a VM from a vApp Template). The vApp could be in one of these statues:
 GET /vAppTemplate/{id}
 

Parameters:
templateUri - the URI of the template
Returns:
the requested template

modifyVAppTemplate

Task modifyVAppTemplate(URI templateUri,
                        VAppTemplate template)
Modifies only the name/description of a vApp template.
 PUT /vAppTemplate/{id}
 

Parameters:
templateUri - the URI of the template
template - the template containing the new name and/or description
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

deleteVappTemplate

Task deleteVappTemplate(URI templateUri)
Deletes a vApp template.
 DELETE /vAppTemplate/{id}
 

Parameters:
templateUri - the URI of the template
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

consolidateVm

Task consolidateVm(URI templateUri)
Consolidates a VM
 POST /vAppTemplate/{id}/action/consolidate
 

Parameters:
templateUri - the URI of the template
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

disableDownload

void disableDownload(URI templateUri)
Disables the download link to the ovf of a vApp template.
 POST /vAppTemplate/{id}/action/disableDownload
 

Parameters:
templateUri - the URI of the template

enableDownload

Task enableDownload(URI templateUri)
Enables downloading of the ovf of a vApp template.
 POST /vAppTemplate/{id}/action/enableDownload
 

Parameters:
templateUri - the URI of the template
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

relocateVm

Task relocateVm(URI templateUri,
                RelocateParams params)
Relocates a virtual machine in a vApp template to a different datastore.
 POST /vAppTemplate/{id}/action/relocate
 

Parameters:
templateUri - the URI of the template
params - contains the reference to the new datastore
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

getCustomizationSection

CustomizationSection getCustomizationSection(URI templateUri)
Retrieves the customization section of a vApp template.
 GET /vAppTemplate/{id}/customizationSection
 

Parameters:
templateUri - the URI of the template
Returns:
the customization section

modifyCustomizationSection

Task modifyCustomizationSection(URI templateUri,
                                CustomizationSection section)
Modifies the vApp template customization information.
 PUT /vAppTemplate/{id}/customizationSection
 

Parameters:
templateUri - the URI of the template
section - the new configuration to apply
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

getGuestCustomizationSection

GuestCustomizationSection getGuestCustomizationSection(URI templateUri)
Retrieves the Guest Customization Section of a VM
 GET /vAppTemplate/{id}/guestCustomizationSection
 

Parameters:
templateUri - the URI of the template
Returns:
the guest customization section

modifyGuestCustomizationSection

Task modifyGuestCustomizationSection(URI templateUri,
                                     GuestCustomizationSection section)
Modifies the guest customization options of a VM.
 PUT /vAppTemplate/{id}/guestCustomizationSection
 

Parameters:
templateUri - the URI of the template
section - the new configuration to apply
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

getLeaseSettingsSection

LeaseSettingsSection getLeaseSettingsSection(URI templateUri)
Retrieves the lease settings section of a vApp or vApp template
 GET /vAppTemplate/{id}/leaseSettingsSection
 

Parameters:
templateUri - the URI of the template
Returns:
the lease settings

modifyLeaseSettingsSection

Task modifyLeaseSettingsSection(URI templateUri,
                                LeaseSettingsSection section)
Modifies the lease settings section of a vApp or vApp template.
 PUT /vAppTemplate/{id}/leaseSettingsSection
 

Parameters:
templateUri - the URI of the template
section - the new configuration to apply
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

getNetworkConfigSection

NetworkConfigSection getNetworkConfigSection(URI templateUri)
Retrieves the network config section of a vApp or vApp template.
 GET /vAppTemplate/{id}/networkConfigSection
 

Parameters:
templateUri - the URI of the template
Returns:
the network config section requested

modifyNetworkConfigSection

Task modifyNetworkConfigSection(URI templateUri,
                                NetworkConfigSection section)
Modifies the network config section of a vApp.
 PUT /vAppTemplate/{id}/networkConfigSection
 

Parameters:
templateUri - the URI of the template
section - the new configuration to apply
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

getNetworkConnectionSection

NetworkConnectionSection getNetworkConnectionSection(URI templateUri)
Retrieves the network connection section of a VM
 GET /vAppTemplate/{id}/networkConnectionSection
 

Parameters:
templateUri - the URI of the template
Returns:
the network connection section requested

modifyNetworkConnectionSection

Task modifyNetworkConnectionSection(URI templateUri,
                                    NetworkConnectionSection section)
Modifies the network connection section of a VM.
 PUT /vAppTemplate/{id}/networkConnectionSection
 

Parameters:
templateUri - the URI of the template
section - the new configuration to apply
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

getNetworkSection

NetworkSection getNetworkSection(URI templateUri)
Retrieves the network section of a vApp or vApp template.
 GET /vAppTemplate/{id}/networkSection
 

Parameters:
templateUri - the URI of the template
Returns:
the network section requested

getOvf

Envelope getOvf(URI templateUri)
Retrieves an OVF descriptor of a vApp template. This OVF represents the vApp template as it is, with all vCloud specific information (like mac address, parent networks, etc). The OVF which could be downloaded by enabling for download will not contain this information. There are no specific states bound to this entity.
 GET /vAppTemplate/{id}/ovf
 

Parameters:
templateUri - the URI of the template
Returns:
the ovf envelope

getOwner

Owner getOwner(URI templateUri)
Retrieves vApp template owner.
 GET /vAppTemplate/{id}/owner
 

Parameters:
templateUri - the URI of the template
Returns:
the owner of the vApp template

getProductSections

ProductSectionList getProductSections(URI templateUri)
Retrieves VAppTemplate/VM product sections
 GET /vAppTemplate/{id}/productSections
 

Parameters:
templateUri - the URI of the template
Returns:
the product sections

modifyProductSections

Task modifyProductSections(URI templateUri,
                           ProductSectionList sections)
Modifies the product sections of a vApp or vApp template.
 PUT /vAppTemplate/{id}/productSections
 

Parameters:
templateUri - the URI of the template
Returns:
the task performing the action. This operation is asynchronous and the user should monitor the returned task status in order to check when it is completed.

getShadowVms

References getShadowVms(URI templateUri)
 GET /vAppTemplate/{id}/shadowVms
 

Parameters:
templateUri - the URI of the template
Returns:
shadowVM references

getMetadataApi

MetadataApi.Writeable getMetadataApi()
Returns:
synchronous access to Metadata features


Copyright © 2009-2012 jclouds. All Rights Reserved.